首页 在线工具 VPS服务器 联系我们

Ubuntu版本停止维护后怎么用apt-get安装软件

发表时间:2018-10-17 13:27 | 分类:Linux | 浏览:255 次

Ubuntu一般安装的都是LTS长期支持版,虽说是长期支持,但是也只有5年时间。如果系统版本官方已经停止更新维护,那么apt-get命令安装就会出错。因为默认源里的配置文件已经不存在了,例如Ubuntu 10.04 。
错误类似如下:

$ sudo apt-get install vlc
Reading package lists... Done               
Building dependency tree       
Reading state information... Done    
E: Couldn't find package

那么如何在已经停止维护的发行版中安装软件?

好在Ubuntu有个地址专门存放所有版本的文件,地址是:old-releases.ubuntu.com 。方法就是把 archive.ubuntu.com 替换下。

命令:

sudo sed -i -re 's/([a-z]{2}\.)?archive.ubuntu.com|security.ubuntu.com/old-releases.ubuntu.com/g' /etc/apt/sources.list
sudo apt-get update

Ubuntu官方强烈建议把服务器操作系统升级到最新版本。。。

本文标签:

本文链接:https://zhangnq.com/2813.html

欢迎您在本博客中留下评论,如需转载原创文章请注明出处,谢谢!

一键脚本 博客历程 留言本 文章归档 网站地图 谷歌地图 浙ICP备13025236号
托管于阿里云&七牛云 浙公网安备 33021202001057号
Copyright © 2010-2019 章郎虫博客 All Rights Reserved.